%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   POE-Test-Loops
%define modv   1.005


Summary:       Reusable tests for POE::Loop authors
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Rocco Caputo <rcaputo@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
POE::Test::Loops contains one function, generate(), which will generate
all the loop tests for one or more POE::Loop subclasses.


%prep
%setup -q -n %{modn}-%{modv}

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(DynamicStates)/d'   \
		 -e '/perl(FibClient)/d'       \
		 -e '/perl(FibServer)/d'       \
		 -e '/perl(MappedObject)/d'    \
		 -e '/perl(MappedPackage)/d'   \
		 -e '/perl(MockDriver)/d'      \
		 -e '/perl(My::LineFilter)/d'  \
		 -e '/perl(MyObject)/d'        \
		 -e '/perl(Operator)/d'        \
		 -e '/perl(POE::MySession)/d'  \
		 -e '/perl(Switch)/d'          \
		 -e '/perl(UnmappedObject)/d'  \
		 -e '/perl(UnmappedPackage)/d' \
		 -e '/perl(main)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/*
%{_bindir}/poe-gen-tests
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Wed Mar 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.005-1
- New version (1.005)

* Fri Feb 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.003-1
- Initial build
